print("Skip Monitor Tweaks Loading.")

--local function SetNewSkipPrices()
	
	if not AddSkipMonitor then
		print("StephChars not detected, Skip Tweaks canceled loading!")
		return --stephchars not loaded, don't run code
	end

	if MARIOSHIELDS then
		AddSkipMonitor(MT_PITY_BOX, 10, "\x84 Passive:\x80 None", "\x83 Active:\x80 None \x85 ==== \x84 Mario:\x85 Fake Ball")
		AddSkipMonitor(MT_EGGMAN_BOX, 10, "\x84 Passive:\x80 Damages whomever destroys it, great for traps!", "Try placing them where spinning or jumping is common!")
		AddSkipMonitor(MT_SNEAKERS_BOX, 50, "\x84 Passive:\x80 Increased", "Speed Temporarily \x85 ==== \x84 Mario:\x85 Mega Mushroom, but you only go faster...")
		AddSkipMonitor(MT_FORCE_BOX, 20, "\x84 Passive:\x80 Two Hit Points", "\x83 Active:\x80 Wall Jump Dive \x85 ==== \x84 Mario:\x85 FireFlower")
		AddSkipMonitor(MT_ATTRACT_BOX, 40, "\x84 Passive:\x80 Ring Attraction", "\x83 Active:\x80 Homing Dive \x85 ==== \x84 Mario:\x80 Mini Mushroom")
		AddSkipMonitor(MT_BUBBLEWRAP_BOX, 30, "\x84 Passive:\x80 Infinite Air", "\x83 Active:\x80 Bounce Dive \x85 ==== \x84 Mario:\x80 Ice Flower")
		AddSkipMonitor(MT_MYSTERY_BOX, 30, "\x84 Passive:\x80 Gain a", "Random Powerup")
		AddSkipMonitor(MT_ARMAGEDDON_BOX, 250, "\x84 Passive:\x80 Explodes on Contact", "\x83 Active:\x80 Charge Dive \x85 ==== \x84 Mario:\x80 P-Balloon")
		AddSkipMonitor(MT_ELEMENTAL_BOX, 40, "\x84 Passive:\x80 Fire/Water Protection", "\x83 Active:\x80 Meteor Dive \x85 ==== \x84 Mario:\x80 Metal Mushroom")
		AddSkipMonitor(MT_INVULN_BOX, 50, "\x84 Passive:\x80 Invincible", "Temporarily")
		AddSkipMonitor(MT_FLAMEAURA_BOX, 50, "\x84 Passive:\x80 Fire Protection", "\x83 Active:\x80 Burst Dive \x85 ==== \x84 Mario:\x85 Kuribo's Shoe (disabled)")
		AddSkipMonitor(MT_WHIRLWIND_BOX, 35, "\x84 Passive:\x80 None", "\x83 Active:\x80 High Dive \x85 ==== \x84 Mario:\x80 Cape Feather")
		AddSkipMonitor(MT_THUNDERCOIN_BOX, 60, "\x84 Passive:\x80 Ring Attraction", "\x83 Active:\x80 Wire Dive \x85 ==== \x84 Mario:\x80 Golden Flower")
		AddSkipMonitor(MT_SKIPSUPERBOX, 90, "\x84 Passive:\x80 Invincible and", "Increased Speed Temporarily")
	else
		AddSkipMonitor(MT_PITY_BOX, 10, "\x84 Passive:\x80 None", "\x83 Active:\x80 None")
		AddSkipMonitor(MT_EGGMAN_BOX, 10, "\x84 Passive:\x80 Damages whomever destroys it, great for traps!", "Try placing them where spinning or jumping is common!")
		AddSkipMonitor(MT_SNEAKERS_BOX, 50, "\x84 Passive:\x80 Increased", "Speed Temporarily")
		AddSkipMonitor(MT_FORCE_BOX, 20, "\x84 Passive:\x80 Two Hit Points", "\x83 Active:\x80 Wall Jump Dive")
		AddSkipMonitor(MT_ATTRACT_BOX, 40, "\x84 Passive:\x80 Ring Attraction", "\x83 Active:\x80 Homing Dive")
		AddSkipMonitor(MT_BUBBLEWRAP_BOX, 30, "\x84 Passive:\x80 Infinite Air", "\x83 Active:\x80 Bounce Dive")
		AddSkipMonitor(MT_MYSTERY_BOX, 30, "\x84 Passive:\x80 Gain a", "Random Powerup")
		AddSkipMonitor(MT_ARMAGEDDON_BOX, 250, "\x84 Passive:\x80 Explodes on Contact", "\x83 Active:\x80 Charge Dive")
		AddSkipMonitor(MT_ELEMENTAL_BOX, 40, "\x84 Passive:\x80 Fire/Water Protection", "\x83 Active:\x80 Meteor Dive")
		AddSkipMonitor(MT_INVULN_BOX, 50, "\x84 Passive:\x80 Invincible", "Temporarily")
		AddSkipMonitor(MT_FLAMEAURA_BOX, 50, "\x84 Passive:\x80 Fire Protection", "\x83 Active:\x80 Burst Dive")
		AddSkipMonitor(MT_WHIRLWIND_BOX, 35, "\x84 Passive:\x80 None", "\x83 Active:\x80 High Dive")
		AddSkipMonitor(MT_THUNDERCOIN_BOX, 60, "\x84 Passive:\x80 Ring Attraction", "\x83 Active:\x80 Wire Dive")
		AddSkipMonitor(MT_SKIPSUPERBOX, 90, "\x84 Passive:\x80 Invincible and", "Increased Speed Temporarily")
	end
	
--this needs to be handled separately to avoid a duplicate entry.
local function SetShadowMonitorPrice()
	if SHADOW_HAS_MONITOR ~= nil then
		print("Shadow box detected, hopefully we don't get duplicate enties in Skip's menu.")
		AddSkipMonitor(MT_SHADOW_BOX, 300, "\x84 Passive:\x80 Summon a Vehicle!", "\x84Only works with compatible characters.")
	end
end

--Load the code on mapload to avoid double monitor issue with shadow
local runSkipMonOnce = true
addHook("MapLoad", do
	if runSkipMonOnce == true then
		SetShadowMonitorPrice()
		runSkipMonOnce = nil
	end
end)

print("Skip Monitor Tweaks finished Loading.")